import request from '@/utils/request'

// 添加战区
export function addStation(data) {
  return request({
    url: '/warea/uploadwarea',
    method: 'post',
    data
  })
}

// 添加战区
export function stationList(data) {
  return request({
    url: '/warea/getwarealist',
    method: 'get',
    params: data
  })
}

// 删除战区
export function deleteStation(data) {
  return request({
    url: '/warea/destorywarea',
    method: 'post',
    data
  })
}

// 修改战区
export function editStation(data) {
  return request({
    url: '/warea/updatewarea',
    method: 'post',
    data
  })
}

// 禁用启用战区
export function disableStation(data) {
  return request({
    url: '/warea/shelvedwarea',
    method: 'post',
    data
  })
}

// 获取政委
export function getStaffList() {
  return request({
    url: '/warea/getcommissarinfo',
    method: 'get'
  })
}
